Subject: Re: linux-next: lots of merges in the sound-asoc tree

From: Mark Brown <[email-masked]>
Date: Tue, 13 Feb 2018 11:42:10 +0000

On Tue, Feb 13, 2018 at 09:38:57AM +1100, Stephen Rothwell wrote:

> I know that you usually like to keep one topic branch per soc and then
> merge them all, but currently your tree seems to only contain a couple
> logical changes (platform to component and codec to component), so
> surely that could have been done in (maybe) 2 topic branches and saved
> large number of very small branches (often a single commit) and a large
> number of merges.

If you look at the changes that are per branch (one series is on a
single branch due to dependencies and a lower change rate) they're often
relatively large and likely to conflict with further development that
gets done.  This also lets me drop anything that causes problems much
more easily.